LogolExec(1)

NAME
LogolExec - Program to parse a logol grammar and search pattern in a sequence.

SYNOPSIS
LogolExec [-h]

INSTALLATION
 Logol requires the Cassiopee Ruby gem. To install it run:
 gem install cassiopee

CONFIGURATION
 LogolExec use a default configuration file in /etc/logol/logol.properties. It is possible to specify a different configuration file via command-line. Temporary and results directory must be writable by the user.
 By default, /var/lib/logol/results contains generated results and /tmp is used at temporary directory.
 .PP

OPTIONS
 Minimum arguments are -m for logol model or -g for logol grammar, and -s for input sequence

  MAIN OPTIONS

-h
     display the list of commands.

-v
     get version

-conf
     specify configuration file

-s
     sequence file to analyse.

-g
     grammar file to analyse

-m
     model file to analyse

-check
     check a grammar, no execution. Requires -g

-dna
     analyse dna, is default

-rna
     analyse rna

-protein
     analyse protein

-max
      maximum returned solutions

-all
     analyse both directions of the sequence

-output
     output file name, must be unique

  OTHER OPTIONS

-sequenceID
     position of sequence in bank

-uid
     Use a defined identifier for the query

-lmax
     maximum length of a variable

-maxspacer
     maximum size of a spacer

-offset
     Offset value to add to positions

-start
     Start position on sequence

-end
     End position on sequence

-noclean
     Do not delete created files after treatment (for debug)

-enabledups
     enable duplicate result matches. By default only keep singletons

-filter
     Type of filter when enabledups is not enabled. Allowed types are exact(default),local,local0,global.

-lmin
     minimum length of a variable (to speedup parsing)

-c
     maximum size of a match (to speedup parsing)

-maxres
     maximum result size of a match (to speedup parsing)

AUTHOR
Olivier Sallou (olivier.sallou (at) irisa.fr)